package com.kmall.api.service;

import com.kmall.api.dao.ApiUserCampMinusMapper;
import com.kmall.api.entity.UserCampMinusVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 用户满减满折表Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2019-06-13 15:19:58
 */
@Service
public class ApiUserCampMinusService {
    @Autowired
    private ApiUserCampMinusMapper apiUserCampMinusMapper;

    public UserCampMinusVo queryObject(Integer userCampId) {
        return apiUserCampMinusMapper.queryObject(userCampId);
    }

    public List<UserCampMinusVo> queryList(Map<String, Object> map) {
        return apiUserCampMinusMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiUserCampMinusMapper.queryTotal(map);
    }

    public int save(UserCampMinusVo userCampMinus) {
        return apiUserCampMinusMapper.save(userCampMinus);
    }

    public int update(UserCampMinusVo userCampMinus) {
        return apiUserCampMinusMapper.update(userCampMinus);
    }

}
